Search results

Get the selected content in JavaScript (ES5) DocumentEditor control

06 Jun 2023 / 3 minutes to read

You can get the selected content from the JavaScript Document Editor component as plain text and SFDT (rich text).

Get the selected content as plain text

You can use text API to get the selected content as plain text from JavaScript Document Editor component.

The following example code illustrates how to add search in google option in context menu for the selected text.

Copied to clipboard
import { DocumentEditorContainer, Toolbar, CustomContentMenuEventArgs } from '@syncfusion/ej2-documenteditor';
import { MenuItemModel } from '@syncfusion/ej2-navigations';

DocumentEditorContainer.Inject(Toolbar);

let container: DocumentEditorContainer = new DocumentEditorContainer({ enableToolbar: true, height: '590px' });

container.serviceUrl = 'https://ej2services.syncfusion.com/production/web-services/api/documenteditor/';

container.appendTo('#container');

//Creating custom menu items
let menuItems: MenuItemModel[] = [
    {
        text: 'Search In Google',
        id: 'search_in_google',
        iconCss: 'e-icons e-de-ctnr-find'
    }];
//Adding custom options
container.documentEditor.contextMenu.addCustomMenu(menuItems, false);
//To handle contextmenu select event
container.documentEditor.customContextMenuSelect = (args: CustomContentMenuEventArgs): void => {
    let item: string = args.id;
    let id: string = container.documentEditor.element.id;
    switch (item) {
        case id + 'search_in_google':
            // To get the selected content as plain text
            let searchContent: string = container.documentEditor.selection.text;
            if (!container.documentEditor.selection.isEmpty && /\S/.test(searchContent)) {
                window.open('http://google.com/search?q=' + searchContent);
            }
            break;
    }
};

You can add the following custom options using this API,

  • Save or export the selected text as text file.
  • Search the selected text in Google or other search engines.
  • Show synonyms for the selected word in context menu and replace with selected synonym using the setter method of same API.

Get the selected content as SFDT (rich text)

You can use sfdt API to get the selected content as plain text from JavaScript Document Editor component.

The following example code illustrates how to get the content of a bookmark and export it as SFDT.

Copied to clipboard
import { DocumentEditorContainer, Toolbar } from '@syncfusion/ej2-documenteditor';

DocumentEditorContainer.Inject(Toolbar);

let container: DocumentEditorContainer = new DocumentEditorContainer({ enableToolbar: true, height: '590px' });

container.serviceUrl = 'https://ej2services.syncfusion.com/production/web-services/api/documenteditor/';

container.appendTo('#container');

// To insert text in cursor position
container.documentEditor.editor.insertText('Document editor');
// To select all the content in document
container.documentEditor.selection.selectAll();
// Insert bookmark to selected content
container.documentEditor.editor.insertBookmark('Bookmark1');
//Select the bookmark
container.documentEditor.selection.selectBookmark('Bookmark1');
// To get the selected content as sfdt
let selectedContent: string = container.documentEditor.selection.sfdt;
// Insert the sfdt content in cursor position using paste API
container.documentEditor.editor.paste(selectedContent);

You can add the following custom options using this API,

  • Save or export the selected content as SFDT file.
  • Get the content of a bookmark in Word document as SFDT by selecting a bookmark using selectbookmark API.
  • Create template content that can be inserted to multiple documents in cursor position using paste API.

Get the selected content in Angular Document editor component

26 Jun 20245 minutes to read

You can get the selected content from the Angular Document Editor component as plain text and SFDT (rich text).

Get the selected content as plain text

You can use text API to get the selected content as plain text from Angular Document Editor component.

The following example code illustrates how to add search in google option in context menu for the selected text.

import { Component, OnInit, ViewChild } from '@angular/core';
import { DocumentEditorContainerComponent, ToolbarService } from '@syncfusion/ej2-angular-documenteditor';
import { MenuItemModel } from '@syncfusion/ej2-navigations';
@Component({
      selector: 'app-root',
      // specifies the template string for the DocumentEditorContainer component
      template: `<ejs-documenteditorcontainer #documenteditor_default serviceUrl="https://services.syncfusion.com/angular/production/api/documenteditor/" height="600px" style="display:block" [enableToolbar]=true (created)="onCreate()"> </ejs-documenteditorcontainer>`,
      providers: [ToolbarService]
})
export class AppComponent implements OnInit {
    @ViewChild('documenteditor_default')
    public container: DocumentEditorContainerComponent;
    ngOnInit(): void {
    }
    onCreate():void {
         // creating Custom Options
         let menuItems: MenuItemModel[] = [
            {
                text: 'Search In Google',
                id: 'search_in_google',
                iconCss: 'e-icons e-de-ctnr-find'
            }];
        // adding Custom Options
        this.container.documentEditor.contextMenu.addCustomMenu(menuItems, false);
        // custom Options Select Event
        this.container.documentEditor.customContextMenuSelect = (args: any): void => {
            // custom Options Functionality
            let id: string = this.container.documentEditor.element.id;
            switch (args.id) {
                case id + 'search_in_google':
                    // To get the selected content as plain text
            let searchContent: string =this.container.documentEditor.selection.text;
            if (!this.container.documentEditor.selection.isEmpty && /\S/.test(searchContent)) {
                window.open('http://google.com/search?q=' + searchContent);
            }
            break;
            }
        };
    }
}

You can add the following custom options using this API,

  • Save or export the selected text as text file.
  • Search the selected text in Google or other search engines.
  • Show synonyms for the selected word in context menu and replace with selected synonym using the setter method of same API.

Get the selected content as SFDT (rich text)

You can use sfdt API to get the selected content as plain text from Angular Document Editor component.

The following example code illustrates how to get the content of a bookmark and export it as SFDT.

import { Component, OnInit, ViewChild } from '@angular/core';
import {
  DocumentEditorContainerComponent,
  ToolbarService,
} from '@syncfusion/ej2-angular-documenteditor';
@Component({
      selector: 'app-root',
      // specifies the template string for the DocumentEditorContainer component
      template: `<ejs-documenteditorcontainer #documenteditor_default serviceUrl="https://services.syncfusion.com/angular/production/api/documenteditor/" height="600px" style="display:block" [enableToolbar]=true (created)="onCreate()"> </ejs-documenteditorcontainer>`,
      providers: [ToolbarService],
})
export class AppComponent implements OnInit {
    @ViewChild('documenteditor_default')
    public container: DocumentEditorContainerComponent;
    ngOnInit(): void {}
    onCreate(): void {
      // To insert text in cursor position
      this.container.documentEditor.editor.insertText('Document editor');
      // To select all the content in document
      this.container.documentEditor.selection.selectAll();
      // Insert bookmark to selected content
      this.container.documentEditor.editor.insertBookmark('Bookmark1');
      //Select the bookmark
      this.container.documentEditor.selection.selectBookmark('Bookmark1');
      // To get the selected content as sfdt
      let selectedContent: string = this.container.documentEditor.selection.sfdt;
      // Insert the sfdt content in cursor position using paste API
      this.container.documentEditor.editor.paste(selectedContent);
    }
}

You can add the following custom options using this API,

  • Save or export the selected content as SFDT file.
  • Get the content of a bookmark in Word document as SFDT by selecting a bookmark using selectbookmark API.
  • Create template content that can be inserted to multiple documents in cursor position using paste API.

Get the selected content in Vue Document editor component

11 Jun 20249 minutes to read

You can get the selected content from the Vue Document Editor component as plain text and SFDT (rich text).

Get the selected content as plain text

You can use text API to get the selected content as plain text from Vue Document Editor component.

The following example code illustrates how to add search in google option in context menu for the selected text.

<template>
  <div id="app">
    <ejs-documenteditorcontainer ref='container' :serviceUrl='serviceUrl' v-on:created="onCreated" height="590px"
      id='container' :enableToolbar='true'></ejs-documenteditorcontainer>
  </div>
</template>
<script setup>
import { DocumentEditorContainerComponent as EjsDocumenteditorcontainer, Toolbar } from '@syncfusion/ej2-vue-documenteditor';
import { provide, ref } from 'vue';

const container = ref(null);
const serviceUrl = 'https://ej2services.syncfusion.com/production/web-services/api/documenteditor/';

//Inject require modules.
provide('DocumentEditorContainer', [Toolbar])

const handleCustomMenuSelect = function (args) {
  let documentEditor = container.value.ej2Instances.documentEditor;
  // custom Options Functionality
  let id = documentEditor.element.id;
  switch (args.id) {
    case id + 'search_in_google':
      let searchContent = documentEditor.selection.text;
      if (!documentEditor.selection.isEmpty && /\S/.test(searchContent)) {
        window.open('http://google.com/search?q=' + searchContent);
      }
      break;
  }
}

const onCreated = function () {
  let obj = container.value.ej2Instances.documentEditor;
  let menuItems = [
    {
      text: 'Search In Google',
      id: 'search_in_google',
      iconCss: 'e-icons e-de-ctnr-find',
    },
  ];
  // adding Custom Options
  obj.contextMenu.addCustomMenu(menuItems, false);
  // custom Options Select Event
  obj.customContextMenuSelect = (args) => {
    handleCustomMenuSelect(args);
  };
}
</script>
<template>
  <div id="app">
    <ejs-documenteditorcontainer ref='container' :serviceUrl='serviceUrl' v-on:created="onCreated" height="590px"
      id='container' :enableToolbar='true'></ejs-documenteditorcontainer>
  </div>
</template>
<script>
import { DocumentEditorContainerComponent, Toolbar } from '@syncfusion/ej2-vue-documenteditor';

export default {
  components: {
    'ejs-documenteditorcontainer': DocumentEditorContainerComponent
  },
  data() {
    return {
      serviceUrl:
        'https://ej2services.syncfusion.com/production/web-services/api/documenteditor/',
    };
  },
  provide: {
    //Inject require modules.
    DocumentEditorContainer: [Toolbar]
  },
  methods: {
    handleCustomMenuSelect: function (args) {
      var documentEditor = this.$refs.container.ej2Instances.documentEditor;
      // custom Options Functionality
      let id = documentEditor.element.id;
      switch (args.id) {
        case id + 'search_in_google':
          var searchContent = documentEditor.selection.text;
          if (!documentEditor.selection.isEmpty && /\S/.test(searchContent)) {
            window.open('http://google.com/search?q=' + searchContent);
          }
          break;
      }
    },
    onCreated: function () {
      var obj = this.$refs.container.ej2Instances.documentEditor;
      var menuItems = [
        {
          text: 'Search In Google',
          id: 'search_in_google',
          iconCss: 'e-icons e-de-ctnr-find',
        },
      ];
      // adding Custom Options
      obj.contextMenu.addCustomMenu(menuItems, false);
      // custom Options Select Event
      obj.customContextMenuSelect = (args) => {
        this.handleCustomMenuSelect(args);
      };
    },
  }
};
</script>

You can add the following custom options using this API,

  • Save or export the selected text as text file.
  • Search the selected text in Google or other search engines.
  • Show synonyms for the selected word in context menu and replace with selected synonym using the setter method of same API.

Get the selected content as SFDT (rich text)

You can use sfdt API to get the selected content as plain text from Vue Document Editor component.

The following example code illustrates how to get the content of a bookmark and export it as SFDT.

<template>
  <div id="app">
    <ejs-documenteditorcontainer ref='container' :serviceUrl='serviceUrl' v-on:created="onCreated" height="590px"
      id='container' :enableToolbar='true'></ejs-documenteditorcontainer>
  </div>
</template>
<script setup>
import { DocumentEditorContainerComponent as EjsDocumenteditorcontainer, Toolbar } from '@syncfusion/ej2-vue-documenteditor';
import { provide, ref } from 'vue';

const container = ref(null);
const serviceUrl = 'https://ej2services.syncfusion.com/production/web-services/api/documenteditor/';

//Inject require modules.
provide('DocumentEditorContainer', [Toolbar]);

const onCreated = function () {
  let obj = container.value.ej2Instances.documentEditor;
  // To insert text in cursor position
  obj.editor.insertText('Document editor');
  // To select all the content in document
  obj.selection.selectAll();
  // Insert bookmark to selected content
  obj.editor.insertBookmark('Bookmark1');
  //Select the bookmark
  obj.selection.selectBookmark('Bookmark1');
  // To get the selected content as sfdt
  let selectedContent = obj.selection.sfdt;
  // Insert the sfdt content in cursor position using paste API
  obj.editor.paste(selectedContent);
}
</script>
<template>
  <div id="app">
    <ejs-documenteditorcontainer ref='container' :serviceUrl='serviceUrl' v-on:created="onCreated" height="590px" id='container' :enableToolbar='true'></ejs-documenteditorcontainer>
  </div>
</template>
<script>
import { DocumentEditorContainerComponent, Toolbar } from '@syncfusion/ej2-vue-documenteditor';

export default {
  components: {
    'ejs-documenteditorcontainer': DocumentEditorContainerComponent
  },
  data() {
    return {
      serviceUrl:
        'https://ej2services.syncfusion.com/production/web-services/api/documenteditor/',
    };
  },
  provide: {
    //Inject require modules.
    DocumentEditorContainer: [Toolbar]
  },
  methods: {
    onCreated: function () {
      let obj = this.$refs.container.ej2Instances.documentEditor;
      // To insert text in cursor position
      obj.editor.insertText('Document editor');
      // To select all the content in document
      obj.selection.selectAll();
      // Insert bookmark to selected content
      obj.editor.insertBookmark('Bookmark1');
      //Select the bookmark
      obj.selection.selectBookmark('Bookmark1');
      // To get the selected content as sfdt
      let selectedContent = obj.selection.sfdt;
      // Insert the sfdt content in cursor position using paste API
      obj.editor.paste(selectedContent);
    }
  }
};
</script>

You can add the following custom options using this API,

  • Save or export the selected content as SFDT file.
  • Get the content of a bookmark in Word document as SFDT by selecting a bookmark using selectbookmark API.
  • Create template content that can be inserted to multiple documents in cursor position using paste API.

Get the selected content in React Document editor component

30 Jan 20236 minutes to read

You can get the selected content from the React Document Editor component as plain text and SFDT (rich text).

Get the selected content as plain text

You can use text API to get the selected content as plain text from React Document Editor component.

The following example code illustrates how to add search in google option in context menu for the selected text.

import * as ReactDOM from 'react-dom';
import * as React from 'react';
import {
  DocumentEditorContainerComponent,
  Toolbar,
} from '@syncfusion/ej2-react-documenteditor';
import { MenuItemModel } from '@syncfusion/ej2-navigations';

DocumentEditorContainerComponent.Inject(Toolbar);
function App() {
  let container: DocumentEditorContainerComponent;
  let contentChanged: boolean = false;
  function onCreate() {
    // creating Custom Options
    let menuItems: MenuItemModel[] = [
      {
        text: 'Search In Google',
        id: 'search_in_google',
        iconCss: 'e-icons e-de-ctnr-find',
      },
    ];
    // adding Custom Options
    container.documentEditor.contextMenu.addCustomMenu(menuItems, false);
    // custom Options Select Event
    container.documentEditor.customContextMenuSelect = (
      args: any
    ): void => {
      // custom Options Functionality
      let id: string = container.documentEditor.element.id;
      switch (args.id) {
        case id + 'search_in_google':
          // To get the selected content as plain text
          let searchContent: string =
            container.documentEditor.selection.text;
          if (
            !container.documentEditor.selection.isEmpty &&
            /\S/.test(searchContent)
          ) {
            window.open('http://google.com/search?q=' + searchContent);
          }
          break;
      }
    };
  }
  return (
    <DocumentEditorContainerComponent
      id="container"
      ref={(scope) => {
        container = scope;
      }}
      height={'590px'}
      serviceUrl="https://ej2services.syncfusion.com/production/web-services/api/documenteditor/"
      enableToolbar={true}
      created={onCreate}
    />
  );
}
export default App;
ReactDOM.render(<App />, document.getElementById('sample'));

You can add the following custom options using this API,

  • Save or export the selected text as text file.
  • Search the selected text in Google or other search engines.
  • Show synonyms for the selected word in context menu and replace with selected synonym using the setter method of same API.

Get the selected content as SFDT (rich text)

You can use sfdt API to get the selected content as plain text from React Document Editor component.

The following example code illustrates how to get the content of a bookmark and export it as SFDT.

import * as ReactDOM from 'react-dom';
import * as React from 'react';
import {
  DocumentEditorContainerComponent,
  Toolbar,
} from '@syncfusion/ej2-react-documenteditor';
DocumentEditorContainerComponent.Inject(Toolbar);
function App() {
  let container: DocumentEditorContainerComponent;
  let contentChanged: boolean = false;
  function onCreate() {
    // To insert text in cursor position
    container.documentEditor.editor.insertText('Document editor');
    // To select all the content in document
    container.documentEditor.selection.selectAll();
    // Insert bookmark to selected content
    container.documentEditor.editor.insertBookmark('Bookmark1');
    //Select the bookmark
    container.documentEditor.selection.selectBookmark('Bookmark1');
    // To get the selected content as sfdt
    let selectedContent: string = container.documentEditor.selection.sfdt;
    // Insert the sfdt content in cursor position using paste API
    container.documentEditor.editor.paste(selectedContent);
  }
  return (
    <DocumentEditorContainerComponent
      id="container"
      ref={(scope) => {
        container = scope;
      }}
      height={'590px'}
      serviceUrl="https://ej2services.syncfusion.com/production/web-services/api/documenteditor/"
      enableToolbar={true}
      created={onCreate}
    />
  );
}
export default App;
ReactDOM.render(<App />, document.getElementById('sample'));

You can add the following custom options using this API,

  • Save or export the selected content as SFDT file.
  • Get the content of a bookmark in Word document as SFDT by selecting a bookmark using selectbookmark API.
  • Create template content that can be inserted to multiple documents in cursor position using paste API.